#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		swftools
Version:	0.9.0
Release:	1
Summary:	Tools for swf (Flash) animations under linux
License:	GNU/GPL
Url:		http://www.quiss.org/swftools/
Group:		Multimedia
Source:		http://www.quiss.org/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-gcc44.patch
Patch1:		swftools-0.9.0-PIL.patch
Patch2:		swftools-0.9.0-python26.patch
BuildArch:	i686

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	fontconfig-devel
BuildRequires:	freeglut-devel
BuildRequires:	freetype-devel
BuildRequires:	gcc-c++
BuildRequires:	giflib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	lame-devel
BuildRequires:	python26-devel
BuildRequires:	python26-pil-devel
BuildRequires:	t1lib-devel
BuildRequires:	zlib-devel

%description
SWF Tools is a collection of SWF manipulation and creation
utilities written by Rainer Böhme and Matthias Kramm. It is
released under the GPL.

Included are:

* PDF2SWF
A PDF to SWF Converter. Generates one frame per page. Enables you
to have fully formatted text, including tables, formulas etc.
inside your Flash Movie. It's based on the xpdf PDF parser from
Derek B. Noonburg.

* SWFCombine
A tool for inserting SWFs into Wrapper SWFs. (Templates) E.g. for
including the pdf2swf SWFs in some sort of Browsing-SWF.

* SWFStrings
Scans SWFs for text data.

* SWFDump
Prints out various informations about SWFs.

* JPEG2SWF
Takes one or more JPEG pictures and generates a SWF slideshow.

* PNG2SWF
Like JPEG2SWF, only for PNGs.

* GIF2SWF
Converts GIFs to SWF. Also able to handle animated gifs.

* WAV2SWF
Converts WAV audio files to SWFs, using the L.A.M.E. MP3 encoder library.

* Font2SWF
Converts font files (TTF, Type1) to SWF.

* SWFBBox
Allows to readjust SWF bounding boxes.

* SWFC
A tool for creating SWF files from simple script files.

* SWFExtract
Allows to extract Movieclips, Sounds, Images etc. from SWF files.

* RFXSWF
Library A fully featured library which can be used for standalone
SWF generation. Includes support for Bitmaps, Buttons, Shapes,
Text, Fonts, Sound etc. It also has support for ActionScript
using the Ming ActionCompiler.

%package -n	python26-swftools
Summary:	Python extension for swftools
Group:		Development/Libraries/Python
Requires:	python26
Requires:	python26-pil

%description -n python26-swftools
All functionality of pdf2swf, swftools' PDF to SWF converter, is
also exposed by the Python module "gfx". gfx contains a PDF parser
(based on xpdf) and a number of rendering backends. In particular,
it can extract text from PDF pages, create bitmaps from them, or
convert PDF files to SWF. The latter functionality is similar to
what is offered by swftools' (http://www.swftools.org) pdf2swf
utility, however more powerful- You can also create individual
SWF files from single pages of the PDF or mix pages from different
PDFs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure
make %{?_smp_mflags}
%__python setup.py build

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall \
	bindir=$RPM_BUILD_ROOT%_bindir \
	datadir=$RPM_BUILD_ROOT%_datadir \
	mandir=$RPM_BUILD_ROOT%_mandir

pushd $RPM_BUILD_ROOT%_datadir/%{name}/swfs/
	%__rm -f default_loader.swf default_viewer.swf
	ln -s tessel_loader.swf default_loader.swf
	ln -s simple_viewer.swf default_viewer.swf
popd

%__python setup.py install \
	--prefix=%_prefix \
	--root=$RPM_BUILD_ROOT

ln -sf %_datadir/doc/licenses/md5/$(md5sum COPYING | %__sed 's/ .*//') COPYING

%clean
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "" ] && %__rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog FAQ COPYING
%doc doc
%doc %_mandir/man1/*
%_bindir/*
%dir %_datadir/%{name}
%_datadir/%{name}/*

%files -n python26-swftools
%defattr(-,root,root)
%{python_sitearch}/gfx.so
%{python_sitearch}/SWF.so
%exclude %{python_sitearch}/SWFTools-0.9dev-py%{PYVER}.egg-info

%changelog
* Tue Feb 02 2010 Christian Wasem <wasem@ccux-linux.de.de> 0.9.0-1
- Initial CCux release
